---
title: CompositionEvent.CompositionEvent()
slug: Web/API/CompositionEvent/CompositionEvent
tags:
  - API
  - CompositionEvent
  - Constructor
  - Reference
---
<p>{{APIRef("DOM Events")}}</p>

<p><span class="seoSummary">The <strong><code>CompositionEvent()</code></strong> constructor creates a new {{domxref("CompositionEvent")}} object instance.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const myEvent = new CompositionEvent(<var>typeArg</var> [, <var>CompositionEventInit</var>])</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code><var>typeArg</var></code></dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the event.</dd>
 <dt><code><var>CompositionEventInit</var></code> {{optional_inline}}</dt>
 <dd>
 <p>A <code>CompositionEventInit</code> dictionary object, which can contain the following members:</p>

 <dl>
  <dt><code>data</code></dt>
  <dd>Initializes the {{domxref("CompositionEvent.data", "data")}} attribute of the {{domxref("CompositionEvent")}} object to the characters generated by the IME composition.</dd>
 </dl>

 <div class="note">
 <p><strong>Note</strong>: The <code>CompositionEventInit</code> dictionary inherits from the {{domxref("UIEvent.UIEvent", "UIEventInit")}} dictionary, so can also accept members defined on there.</p>
 </div>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM3 Events','#dom-compositionevent-compositionevent','CompositionEvent()')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CompositionEvent.CompositionEvent")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("CompositionEvent")}}, the interface of the objects it constructs.</li>
</ul>
